
dofile("Base.rte/Constants.lua")
require("AI/NativeHumanAI")  --dofile("Base.rte/AI/NativeHumanAI.lua")

function Create(self)
	self.AI = NativeHumanAI:Create(self)
	self.lastHealth = self.Health;
	self.canAggro = true;
	self.healthCheckTimer = Timer();
end

function Update(self)
	--Aggro all allied units into brainhunting if the brain (self) is hurt
	if self.healthCheckTimer:IsPastSimMS(10) and self.canAggro == true then
		if self.Health < self.lastHealth then
			for actor in MovableMan.Actors do
				if actor.Team == self.Team then
					if actor.PresetName == "Light Reptiloid" or actor.PresetName == "Heavy Reptiloid" then
						actor.chatter = CreateAEmitter("plasmorgang.rte/Reptiloid Chatter Sound");
						actor.chatter:EnableEmission(true);
						actor.chatter.Pos = actor.Pos;
						actor.chatter.Team = actor.Team;
						MovableMan:AddParticle(actor.chatter);
					end
					actor.AIMode = Actor.AIMODE_BRAINHUNT
				end
			end
			self.chatter = CreateAEmitter("plasmorgang.rte/Reptiloid Chatter Sound");
			self.chatter:EnableEmission(true);
			self.chatter.Pos = self.Pos;
			self.chatter.Team = self.Team;
			MovableMan:AddParticle(self.chatter);
			self.canAggro = false;
		end
		self.healthCheckTimer:Reset()
	end
	--[[
	if self.EquippedItem ~= nil then
		if self.EquippedItem.PresetName == "Global Defense Zone Enforcement Machine Gun" then
			self:GetController():SetState(Controller.WEAPON_DROP, false);
			self.PresetName = "Zone Trooper"
			print("hello")
		elseif self.PresetName ~= "Reptiloid Hero" then
			self.PresetName = "Reptiloid Hero"
		end
	else
		if self.PresetName ~= "Reptiloid Hero" then
			self.PresetName = "Reptiloid Hero"
		end
	end
	]]--
end

function UpdateAI(self)
	self.AI:Update(self)
end

function Destroy(self)
	self.AI:Destroy(self)
end
