function Create(self)
	local Effect
	local Offset = self.Vel*(20*TimerMan.DeltaTimeSecs)
	self.baseVel = self.Vel;

	for i = 1, 16 do
		Effect = CreateMOPixel("Antares LRSR Particle MOPixel")
		if Effect then
			Effect.Vel = self.Vel
			Effect.Pos = self.Pos
			Effect.Team = self.Team
			Effect.IgnoresTeamHits = true
			MovableMan:AddParticle(Effect)
		end
	end
	
	for i = 1, 4 do
		Effect = CreateMOSParticle("Side Thruster Blast Ball 1", "Base.rte")
		if Effect then
			Effect.Vel = self:RotateOffset(Vector(RangeRand(6,9),RangeRand(-3,3)))
			Effect.Pos = self.Pos - Offset
			MovableMan:AddParticle(Effect)
		end
	end
	
	for i = 1, 5 do
		Effect = CreateMOSParticle("Tiny Smoke Ball 1", "Base.rte")
		if Effect then
			Effect.Vel = self:RotateOffset(Vector(RangeRand(-2,2), -RangeRand(7,11)))
			Effect.Pos = self.Pos - Offset
			MovableMan:AddParticle(Effect)
		end
	end

	for i = 1, 5 do
		Effect = CreateMOSParticle("plasmorgang.rte/Antares Smoke Ball 1")
		if Effect then
			Effect.Vel = self:RotateOffset(Vector(RangeRand(-2,2), RangeRand(7,11)))
			Effect.Pos = self.Pos - Offset
			MovableMan:AddParticle(Effect)
		end
	end
end

function Update(self)
	local Effect
	local Offset = self.Vel*(20*TimerMan.DeltaTimeSecs)
	self.Vel = self.baseVel;
	
	for i = 1, math.floor(self.Vel.Magnitude*0.045) do
		Effect = CreateMOSParticle("plasmorgang.rte/Antares Smoke Ball " .. math.random(4))
		if Effect then
			Effect.Pos = self.Pos-- Offset * i/8 + Vector(RangeRand(-2,2),RangeRand(-2,2))
			Effect.Vel = Vector(math.random(-5,15),0):RadRotate(math.random()*(math.pi*2));
			MovableMan:AddParticle(Effect)
		end
	end
	
	local Vector2 = (Vector(10,0):GetXFlipped(self.HFlipped)):RadRotate(self.RotAngle);
	self.craftray = SceneMan:CastMORay(self.Pos, Vector2, self.RootID, self.Team, 128, false, 1);
	if self.craftray ~= nil then
		self.seenobject = MovableMan:GetMOFromID(self.craftray);
		if self.seenobject ~= nil and MovableMan:IsActor(self.seenobject) and self.seenobject:HasObjectInGroup("Craft") == true then
			
			local craftvictim = ToActor(self.seenobject);
			for i = 1, 125 do
				Effect = CreateMOSParticle("plasmorgang.rte/Antares Smoke Ball " .. math.random(4))
				if Effect then
					Effect.Pos = craftvictim.Pos
					Effect.Vel = Vector(math.random(40,110),0):RadRotate(math.random()*(math.pi*2));
					Effect.Team = self.Team;
					Effect.IgnoresTeamHits = true;
					Effect.HitsMOs = true;
					Effect.Sharpness = 50;
					MovableMan:AddParticle(Effect)
				end
			end
			craftvictim:GibThis();
			--print(self.seenobject)
			Effect2 = CreateMOSRotating("plasmorgang.rte/Antares Hit Sound");
			Effect2.Pos = self.Pos;
			Effect2:GibThis();
			MovableMan:AddMO(Effect2);
		end
	end
	
end
